/*******************************************************************************
 * Copyright (c) 2010 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/
package org.openxma.dsl.platform.hibernate.hql;

/**
 * Strategy interface to rewrite Hql queries
 */
public interface HqlRewriteStrategy {

    /**
     * @return the filter expression to append
     */
    String getFilter();

    /**
     * @return the order expression to append
     */
    String getSortOrder();

}
