package org.openxma.dsl.platform.valueobject;

public class ValueObjectString extends ValueObjectComparable<String> {

    private static final long serialVersionUID = 1L;

    public ValueObjectString(String value) {
        super(value);
    }

    public static ValueObjectString newOrNull(String value) {
        if (value != null) {
            return new ValueObjectString(value);
        }
        return null;
    }

}
